Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.services.registration
Interface ConsumerRegistrationService

All Superinterfaces
  javax.ejb.EJBObject, Remote

    public interface ConsumerRegistrationService

extends javax.ejb.EJBObject

This is the remote interface for an EJB that manages the persistent registration operations on WSRP consumers with this WSRP producer.

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Method Summary
`void` | `associatePortletToConsumer(int registrationHandle, int portletInstanceId)` Associates a portletInstance with the consumer that the former was created for.
`void` | `deregister(int registrationHandle)` Deregisters a consumer with this producer.
`void` | `dissociatePortletFromConsumer(int registrationHandle, int portletInstanceId)` Dissociates a portlet from a consumer it is associated with.
`List<com.bea.wsrp.producer.types.wsrp_producer_config.RegistrationPropertyDescriptionType>` | `getRegistrationProperties(List uris)` Deprecated
`List<IPropertyDescription>` | `getRegistrationPropertyDescriptions(List<String> uris)` Retrieves all configured registration properties.
`List<RegistrationPropertyValue>` | `getRegistrationPropertyValues(int registrationHandle)` Retrieves registration properties and their values for the given consumer.
`boolean` | `isPortletAssociated(int registrationHandle, int portletInstanceId)` Determines if a portlet is associated with a consumer.
`boolean` | `isRegistered(int registrationHandle)` Checks to see if a given registrationHandle is valid.
`void` | `modifyRegistration(int registrationHandle, String consumerName, String consumerAgent, String webappName, Map properties, boolean isStrict)` Modifies an existing registration for this producer.
`int` | `register(String webappName, String consumerName, String consumerAgent, Map properties, boolean isStrict)` Registers a consumer with this producer.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### register

    int register(String webappName,
                 String consumerName,
                 String consumerAgent,
                 Map properties,
                 boolean isStrict)
                 throws RemoteException

  Registers a consumer with this producer.

  Parameters
    `webappName` - The name of the webapp performing the registration
    `consumerName` - The consumer's name
    `consumerAgent` - The consumer's agent
    `properties` - The registration properties
    `isStrict` - Flag to specify is registration should fail if any property value is unacceptable
  Returns
    The generated registration handle
  Throws
    `RemoteException`

### modifyRegistration

    void modifyRegistration(int registrationHandle,
                            String consumerName,
                            String consumerAgent,
                            String webappName,
                            Map properties,
                            boolean isStrict)
                            throws RemoteException

  Modifies an existing registration for this producer.

  Parameters
    `registrationHandle` - The registration handle for the consumer to be deregistered
    `consumerName` - The name of the webapp performing the registration modification
    `consumerAgent` - The consumer's name
    `webappName` - The consumer's agent
    `properties` - The registration properties
    `isStrict` - Flag to specify is modify registration should fail if any property value is unacceptable
  Throws
    `RemoteException`

### deregister

    void deregister(int registrationHandle)
                    throws RemoteException

  Deregisters a consumer with this producer.

  Parameters
    `registrationHandle` - The registration handle for the consumer to be deregistered
  Throws
    `RemoteException`

### isRegistered

    boolean isRegistered(int registrationHandle)
                         throws RemoteException

  Checks to see if a given registrationHandle is valid.

  Parameters
    `registrationHandle` - The registration handle to check for validity
  Returns
    Whether or not the registrationHandle was found in the persistent store
  Throws
    `RemoteException`

### associatePortletToConsumer

    void associatePortletToConsumer(int registrationHandle,
                                    int portletInstanceId)
                                    throws RemoteException

  Associates a portletInstance with the consumer that the former was created for.

  Parameters
    `registrationHandle` - consumer registration handle
    `portletInstanceId` - instance id of the portlet
  Throws
    `RemoteException`

### dissociatePortletFromConsumer

    void dissociatePortletFromConsumer(int registrationHandle,
                                       int portletInstanceId)
                                       throws RemoteException

  Dissociates a portlet from a consumer it is associated with.

  Parameters
    `registrationHandle` - consumer registration handle
    `portletInstanceId` - instance id of the portlet
  Throws
    `RemoteException`

### isPortletAssociated

    boolean isPortletAssociated(int registrationHandle,
                                int portletInstanceId)
                                throws RemoteException

  Determines if a portlet is associated with a consumer.

  Parameters
    `registrationHandle` - consumer registration handle
    `portletInstanceId` - instance id of the portlet
  Returns
    true if the portlet is associated with the consumer
  Throws
    `RemoteException`

### getRegistrationProperties

    @Deprecated
    List<com.bea.wsrp.producer.types.wsrp_producer_config.RegistrationPropertyDescriptionType> getRegistrationProperties(List uris)
                                                                                                                         throws RemoteException

  Deprecated

  Retrieves all configured registration properties.

  Returns
    An array of registration properties, empty if none defined
  Throws
    `RemoteException`
  See Also
    `getRegistrationPropertyDescriptions(List)`

### getRegistrationPropertyDescriptions

    List<IPropertyDescription> getRegistrationPropertyDescriptions(List<String> uris)
                                                                   throws RemoteException

  Retrieves all configured registration properties.

  Parameters
    `uris` - The list of property set files to look at or null for all files
  Returns
    An array of registration properties, empty if none defined
  Throws
    `RemoteException`

### getRegistrationPropertyValues

    List<RegistrationPropertyValue> getRegistrationPropertyValues(int registrationHandle)
                                                                  throws RemoteException

  Retrieves registration properties and their values for the given consumer.

  Returns
    the list of registration property values
  Throws
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.